Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIAccordion.Properties

    java.lang.Object
      java.lang.Enum<UIAccordion.Properties>
          org.richfaces.component.UIAccordion.Properties

All Implemented Interfaces:
  Serializable, Comparable<UIAccordion.Properties>

Enclosing class:
  UIAccordion

    protected static enum UIAccordion.Properties

extends Enum<UIAccordion.Properties>

Enum Constant Summary
`cycledSwitching`
`data`
`dir`
`execute`
`height`
`itemActiveHeaderClass`
`itemActiveLeftIcon`
`itemActiveRightIcon`
`itemChangeListener`
`itemContentClass`
`itemDisabledHeaderClass`
`itemDisabledLeftIcon`
`itemDisabledRightIcon`
`itemHeaderClass`
`itemInactiveHeaderClass`
`itemInactiveLeftIcon`
`itemInactiveRightIcon`
`lang`
`limitRender`
`onbeforeitemchange`
`onclick`
`ondblclick`
`onitemchange`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`render`
`status`
`style`
`styleClass`
`title`
`width`

Method Summary
`static UIAccordion.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UIAccordion.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### cycledSwitching

    public static final UIAccordion.Properties cycledSwitching

### data

    public static final UIAccordion.Properties data

### dir

    public static final UIAccordion.Properties dir

### execute

    public static final UIAccordion.Properties execute

### height

    public static final UIAccordion.Properties height

### itemActiveHeaderClass

    public static final UIAccordion.Properties itemActiveHeaderClass

### itemActiveLeftIcon

    public static final UIAccordion.Properties itemActiveLeftIcon

### itemActiveRightIcon

    public static final UIAccordion.Properties itemActiveRightIcon

### itemChangeListener

    public static final UIAccordion.Properties itemChangeListener

### itemContentClass

    public static final UIAccordion.Properties itemContentClass

### itemDisabledHeaderClass

    public static final UIAccordion.Properties itemDisabledHeaderClass

### itemDisabledLeftIcon

    public static final UIAccordion.Properties itemDisabledLeftIcon

### itemDisabledRightIcon

    public static final UIAccordion.Properties itemDisabledRightIcon

### itemHeaderClass

    public static final UIAccordion.Properties itemHeaderClass

### itemInactiveHeaderClass

    public static final UIAccordion.Properties itemInactiveHeaderClass

### itemInactiveLeftIcon

    public static final UIAccordion.Properties itemInactiveLeftIcon

### itemInactiveRightIcon

    public static final UIAccordion.Properties itemInactiveRightIcon

### lang

    public static final UIAccordion.Properties lang

### limitRender

    public static final UIAccordion.Properties limitRender

### onbeforeitemchange

    public static final UIAccordion.Properties onbeforeitemchange

### onclick

    public static final UIAccordion.Properties onclick

### ondblclick

    public static final UIAccordion.Properties ondblclick

### onitemchange

    public static final UIAccordion.Properties onitemchange

### onmousedown

    public static final UIAccordion.Properties onmousedown

### onmousemove

    public static final UIAccordion.Properties onmousemove

### onmouseout

    public static final UIAccordion.Properties onmouseout

### onmouseover

    public static final UIAccordion.Properties onmouseover

### onmouseup

    public static final UIAccordion.Properties onmouseup

### render

    public static final UIAccordion.Properties render

### status

    public static final UIAccordion.Properties status

### style

    public static final UIAccordion.Properties style

### styleClass

    public static final UIAccordion.Properties styleClass

### title

    public static final UIAccordion.Properties title

### width

    public static final UIAccordion.Properties width

Method Detail

### values

    public static UIAccordion.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIAccordion.Properties c : UIAccordion.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIAccordion.Properties valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.